View Issue Details

IDProjectCategoryView StatusLast Update
12095Feature requests[All Projects] Installationpublic2017-09-22 15:35
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverity@50@ 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary12095: Allow to set assetUrl (and assetPath) to another website
Description

We force asset manager to example.org/tmp/assets but for speed issue : thei can be interesting to set it to another url : static.example.org/assets for example.

There are no solution currently to use Yii to set own assets url (and path)

Steps To Reproduce

Add:
'assetManager' => array(
'baseUrl' => "https://static.example.org/assets",
'basePath'=> "/var/www/static/assets",
),

For example

Additional Information

Have a specific host for static files is really the best situation : multi download, can optimize this webhost for static files (no cookies for example).

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2017-01-31 23:54

developer   ~42924

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22225

Related Changesets

LimeSurvey: develop 1878a118

2017-01-31 23:39:52

DenisChenu

Details Diff
New feature 12095 assetUrl and assetPath can be set in config.php
New feature 12011 : allow user to set runtimePath (Yii way)
Affected Issues
12011, 12095
mod - application/config/config-defaults.php Diff File
mod - application/core/LSYii_Application.php Diff File
mod - index.php Diff File

Issue History

Date Modified Username Field Change
2017-01-30 22:34 DenisChenu New Issue
2017-01-31 16:11 c_schmitz Project Bug reports => Feature requests
2017-01-31 23:54 DenisChenu Changeset attached => LimeSurvey develop 1878a118
2017-01-31 23:54 DenisChenu Note Added: 42924
2017-01-31 23:54 DenisChenu Assigned To => DenisChenu
2017-01-31 23:54 DenisChenu Resolution open => fixed
2017-02-01 00:18 DenisChenu Status new => resolved
2017-02-01 00:18 DenisChenu Fixed in Version => develop
2017-09-22 11:16 c_schmitz Fixed in Version develop => 3.0
2017-09-22 15:35 c_schmitz Status resolved => closed